Bug 1464746 - [New UI] - User is not authorized to perform action of create new 'QoS' entity
[New UI] - User is not authorized to perform action of create new 'QoS' entity
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
x86_64 Linux
medium Severity high (vote)
: ovirt-4.2.0
: ---
Assigned To: Phillip Bailey
Artyom
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 07:46 EDT by Michael Burman
Modified: 2017-10-24 07:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: blocker+
rule-engine: planning_ack+
msivak: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
engine log (12.83 MB, application/x-gzip)
2017-06-25 07:46 EDT, Michael Burman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79623 master MERGED webadmin: Correct issue preventing QoS creation 2017-07-20 12:50 EDT
oVirt gerrit 81425 master MERGED webadmin: Correct issue preventing host network QoS creation 2017-09-27 10:39 EDT

  None (edit)
Description Michael Burman 2017-06-25 07:46:56 EDT
Created attachment 1291696 [details]
engine log

Description of problem:
[New UI] [Host QoS] -  User is not authorized to perform action of create new 'Host QoS' 

Now it's not possible to create new Host QoS entity at all. Not via the DC flow and now via the network flow. 
Now we get that user not authorized to perform this action. 

2017-06-25 14:38:39,144+03 INFO  [org.ovirt.engine.core.bll.qos.AddHostNetworkQosCommand] (default task-8) [3eff369d-0c94-44c2-a650-6e955ac17f63] No permission found for user '586c19dc-00b9-00fa-0364-00000000012f' or one of the groups he is member of, when running action 'AddHostNetworkQos', Required permissions are: Action type: 'ADMIN' Action group: 'EDIT_STORAGE_POOL_CONFIGURATION' Object type: 'Data Center'  Object ID: 'null'.
2017-06-25 14:38:39,144+03 WARN  [org.ovirt.engine.core.bll.qos.AddHostNetworkQosCommand] (default task-8) [3eff369d-0c94-44c2-a650-6e955ac17f63] Validation of action 'AddHostNetworkQos' failed for user admin@internal-authz. Reasons: VAR__TYPE__QOS,VAR__ACTION__ADD,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION


Version-Release number of selected component (if applicable):
4.2.0-0.0.master.20170624071949.gitff9611b.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Try to create new 'Host QoS' entity via DC or network flows. 

Actual results:
'Error while executing action: User is not authorized to perform this action.'

Expected results:
Should work as expected
Comment 1 Michael Burman 2017-06-25 07:55:14 EDT
Relevant to all 'QoS' entities - CPU, Host QoS, VM QoS and Storage. 
User not authorized to create any of those entities. 

Validation of action 'AddStorageQos' failed for user admin@internal
Validation of action 'AddCpuQos' failed for user admin@internal
Validation of action 'AddNetworkQoS' failed for user admin@internal
Validation of action 'AddHostNetworkQos' failed for user admin@internal
Comment 2 Oved Ourfali 2017-06-26 01:42:55 EDT
Moving to SLA.
Not sure that's related to the new ui, as it complains on permissions.

Martin, can one of you take a look?
Comment 3 Red Hat Bugzilla Rules Engine 2017-07-12 06:33:35 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 4 Michael Burman 2017-07-19 08:39:51 EDT
Still relevant for current master 4.2.0-0.0.master.20170717104433.gita1ba045.el7.centos
Comment 5 Michael Burman 2017-09-04 01:28:01 EDT
Hi Philip,

The New/edit Network > New Host Network QoS wasn't fixed.
We still get the same error - "Error while executing action: User is not authorized to perform this action."
Only the DC > New QoS fixed. But when trying to create host QoS via the network, we still blocked with same error. 4.2.0-0.0.master.20170903205106.gitb17261a.el7.centos 
Should this be fixed here?(i have wrote this in steps to reproduce - 1. Try to create new 'Host QoS' entity via DC or network flows) or you want a separate bug?
Comment 6 Phillip Bailey 2017-09-04 16:50:06 EDT
Hi Michael,

I'm sorry. I don't know how I missed that. I'm looking into the issue. It looks like it's the same root cause, but I haven't yet tracked down where I need to place the fix, yet. No need for a new ticket, though. I'll move this back to post.
Comment 7 Michael Burman 2017-09-05 00:48:17 EDT
(In reply to Phillip Bailey from comment #6)
> Hi Michael,
> 
> I'm sorry. I don't know how I missed that. I'm looking into the issue. It
> looks like it's the same root cause, but I haven't yet tracked down where I
> need to place the fix, yet. No need for a new ticket, though. I'll move this
> back to post.

Thank you Phillip)
Comment 8 Yaniv Kaul 2017-10-15 06:12:44 EDT
Can we move this to MODIFIED, or are there additional patches needed (not clear from comment 6 ) ?
Comment 9 Phillip Bailey 2017-10-16 15:46:17 EDT
Sorry, Yaniv. This was fixed with the second patch [1]. Moving to MODIFIED now.

[1] https://gerrit.ovirt.org/#/c/81425/
Comment 10 Michael Burman 2017-10-23 01:52:13 EDT
Hi Artyom, i can confirm that the New/edit Network > New Host Network QoS scenario is now fixed(4.2.0-0.0.master.20171022103432.gitaf9d8b6.el7.centos)
Comment 11 Artyom 2017-10-24 07:26:34 EDT
Thanks Michael

Note You need to log in before you can comment on or make changes to this bug.